Zum Hauptinhalt springen
GET
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
reports
/
contacts
/
{contactType}
Fetch contact IDs
curl --request GET \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/reports/contacts/{contactType} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

The unique identifier of the campaign.

contactType
string
erforderlich

The type of contact to filter the list.

Abfrageparameter

after
string

The paging cursor token of the last successfully read resource, used for pagination.

endDate
string

The end date for filtering contacts, formatted as a string.

limit
integer<int32>

The maximum number of results to display per page.

startDate
string

The start date for filtering contacts, formatted as a string.

Antwort

successful operation

results
object[]
erforderlich

An array of contact references, each containing an identifier for a contact.

paging
object
Last modified on April 9, 2026